## lua-lgi 0.4+29+g74cbbb1

=== Makefile ===
#
# Makefile for compiling lgi core module in standard-Lua variant
#
# Author: Pavel Holejsovsky <pavel.holejsovsky@gmail.com>
# License: MIT
#

PREFIX = /usr/local
LUA_LIBDIR = $(PREFIX)/lib/lua/5.1
LUA_SHAREDIR = $(PREFIX)/share/lua/5.1

GINAME = gobject-introspection-1.0
VERSION_FILE = version.lua

ifneq ($(filter CYGWIN%, $(shell uname -s)),)
CORE = corelgilua51.dll
LIBFLAG = -shared
LIBS += -llua
else
CORE = corelgilua51.so
LIBFLAG = -shared
CCSHARED = -fPIC
endif

OBJS = buffer.o callable.o core.o gi.o marshal.o object.o record.o

COPTFLAGS = -Wall -Wextra -O2 -g
CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(GINAME))
LIBS += $(shell pkg-config --libs $(GINAME))
LDFLAGS = $(LIBFLAG)
DEPCHECK = .depcheck

# Precondition check
$(DEPCHECK) : Makefile
	pkg-config --exists '$(GINAME) >= 0.10.8' --print-errors
	touch $@

.PHONY : all clean install

all : $(CORE) $(VERSION_FILE)
clean :
	rm -f $(CORE) $(OBJS)

$(CORE) : $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

$(VERSION_FILE) : Makefile ../Makefile
	echo "return '$(VERSION)'" > $@

buffer.o : buffer.c lgi.h $(DEPCHECK)
callable.o : callable.c lgi.h $(DEPCHECK)
core.o : core.c lgi.h $(DEPCHECK)
gi.o : gi.c lgi.h $(DEPCHECK)
marshal.o : marshal.c lgi.h $(DEPCHECK)
object.o : object.c lgi.h $(DEPCHECK)
record.o : record.c lgi.h $(DEPCHECK)

OVERRIDES = $(wildcard override/*.lua)
CORESOURCES = $(wildcard *.lua)

install : $(CORE) $(VERSION_FILE)
	mkdir -p $(DESTDIR)$(LUA_LIBDIR)/lgi
	cp $(CORE) $(DESTDIR)$(LUA_LIBDIR)/lgi
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)
	cp ../lgi.lua $(DESTDIR)$(LUA_SHAREDIR)
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi
	cp $(CORESOURCES) $(VERSION_FILE) $(DESTDIR)$(LUA_SHAREDIR)/lgi
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi/override
	cp $(OVERRIDES) $(DESTDIR)$(LUA_SHAREDIR)/lgi/override

=== debian/changelog ===
lua-lgi (0.4+29+g74cbbb1-1) unstable; urgency=low

  * Initial release. (Closes: #657968)

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 02 Apr 2012 13:16:07 +0200

=== debian/control ===
Source: lua-lgi
Section: interpreters
Priority: optional
Maintainer: Enrico Tassi <gareuselesinge@debian.org>
Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 9), libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, xvfb, xauth
Standards-Version: 3.9.3
Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-lgi
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-lgi
Homepage: https://github.com/pavouk/lgi/

Package: lua-lgi
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Provides: ${lua:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: Lua bridge to GObject based libraries
 LGI is gobject-introspection based dynamic Lua binding to GObject based
 libraries. It allows using GObject-based libraries directly from Lua.
 .
 Notable examples are GTK+, GStreamer and Webkit.

Package: lua-lgi-dev
Architecture: any
Multi-Arch: same
Pre-Depends: multiarch-support
Section: libdevel
Provides: ${lua:Provides}
Depends: lua-lgi (= ${binary:Version}), ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: lgi development files for the Lua language
 This package contains the development files of the Lua lgi library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell grep ^VERSION Makefile | cut -d = -f 2 | tr -d ' ')

%:
	dh $@ --buildsystem=lua --with lua
	
override_dh_auto_configure:
	make -C lgi version.lua VERSION=$(VERSION)
	dh_auto_configure
override_dh_auto_test:
	make -C tests all
	GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-lgi
#
version=3
https://github.com/pavouk/lgi/downloads .*/lgi-([0-9\.]+).tar.gz

## lua-lgi 0.5

=== Makefile ===
#
# LGI Dynamic GObject introspection binding.
#
# Author: Pavel Holejsovsky <pavel.holejsovsky@gmail.com>
# License: MIT
#

VERSION = 0.5
MAKE ?= make

ROCK = lgi-$(VERSION)-1.rockspec

.PHONY : rock all clean install check

all :
	$(MAKE) -C lgi

rock : $(ROCK)
$(ROCK) : rockspec.in Makefile
	sed 's/%VERSION%/$(VERSION)/' $< >$@

clean :
	rm -f *.rockspec
	$(MAKE) -C lgi clean
	$(MAKE) -C tests clean

install :
	$(MAKE) -C lgi install

check : all
	$(MAKE) -C tests check

export VERSION

=== debian/changelog ===
lua-lgi (0.5-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 15 Apr 2012 23:35:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,5 @@
 override_dh_auto_test:
 	make -C tests all
 	GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test
+override_dh_compress:
+	dh_compress -X.ui -X.md -X.lua

## lua-lgi 0.5+11+g7006225

=== Makefile ===
#
# Makefile for compiling lgi core module in standard-Lua variant
#
# Author: Pavel Holejsovsky <pavel.holejsovsky@gmail.com>
# License: MIT
#

PREFIX = /usr/local
LUA_LIBDIR = $(PREFIX)/lib/lua/5.1
LUA_SHAREDIR = $(PREFIX)/share/lua/5.1

GINAME = gobject-introspection-1.0
PKGS = $(GINAME) gmodule-2.0 libffi
VERSION_FILE = version.lua

ifneq ($(filter CYGWIN%, $(shell uname -s)),)
CORE = corelgilua51.dll
LIBFLAG = -shared
LIBS += -llua
else
CORE = corelgilua51.so
LIBFLAG = -shared
CCSHARED = -fPIC
endif

OBJS = buffer.o callable.o core.o gi.o marshal.o object.o record.o

COPTFLAGS = -Wall -Wextra -O2 -g
CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS))
LIBS += $(shell pkg-config --libs $(PKGS))
LDFLAGS = $(LIBFLAG)
DEPCHECK = .depcheck

# Precondition check
$(DEPCHECK) : Makefile
	pkg-config --exists '$(GINAME) >= 0.10.8' --print-errors
	touch $@

.PHONY : all clean install

all : $(CORE) $(VERSION_FILE)
clean :
	rm -f $(CORE) $(OBJS)

$(CORE) : $(OBJS)
	$(CC) $(LDFLAGS) -o $@ $(OBJS) $(LIBS)

$(VERSION_FILE) : Makefile ../Makefile
	echo "return '$(VERSION)'" > $@

buffer.o : buffer.c lgi.h $(DEPCHECK)
callable.o : callable.c lgi.h $(DEPCHECK)
core.o : core.c lgi.h $(DEPCHECK)
gi.o : gi.c lgi.h $(DEPCHECK)
marshal.o : marshal.c lgi.h $(DEPCHECK)
object.o : object.c lgi.h $(DEPCHECK)
record.o : record.c lgi.h $(DEPCHECK)

OVERRIDES = $(wildcard override/*.lua)
CORESOURCES = $(wildcard *.lua)

install : $(CORE) $(VERSION_FILE)
	mkdir -p $(DESTDIR)$(LUA_LIBDIR)/lgi
	cp $(CORE) $(DESTDIR)$(LUA_LIBDIR)/lgi
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)
	cp ../lgi.lua $(DESTDIR)$(LUA_SHAREDIR)
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi
	cp $(CORESOURCES) $(VERSION_FILE) $(DESTDIR)$(LUA_SHAREDIR)/lgi
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi/override
	cp $(OVERRIDES) $(DESTDIR)$(LUA_SHAREDIR)/lgi/override

=== debian/changelog ===
lua-lgi (0.5+11+g7006225-1) unstable; urgency=low

  * Fixed clean target 
  * New upstream snapshot
  * Update build-depends adding libffi-dev and libglib2.0-dev 

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 06 May 2012 15:07:25 +0200

lua-lgi (0.5+8+g86dbda4-1) unstable; urgency=low

  * New upstream snapshot fixing alignement problems
  * Clean up dh-lua conf file 
  * Copyright format 1.0 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 04 May 2012 15:53:08 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua (>= 9), libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, xvfb, xauth
+Build-Depends: debhelper (>= 8.1.3), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-lgi
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-lgi

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 	GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test
 override_dh_compress:
 	dh_compress -X.ui -X.md -X.lua
+override_dh_auto_clean:
+	rm -f lgi/version.lua
+	dh_auto_clean

## lua-lgi 0.6

=== Makefile ===
#
# LGI Dynamic GObject introspection binding.
#
# Author: Pavel Holejsovsky <pavel.holejsovsky@gmail.com>
# License: MIT
#

VERSION = 0.6
MAKE ?= make

ROCK = lgi-$(VERSION)-1.rockspec

.PHONY : rock all clean install check

all :
	$(MAKE) -C lgi

rock : $(ROCK)
$(ROCK) : rockspec.in Makefile
	sed 's/%VERSION%/$(VERSION)/' $< >$@

clean :
	rm -f *.rockspec
	$(MAKE) -C lgi clean
	$(MAKE) -C tests clean

install :
	$(MAKE) -C lgi install

check : all
	$(MAKE) -C tests check

export VERSION

=== tests/Makefile ===
#
# Makefile for compiling lgi testsuite support
#
# Author: Pavel Holejsovsky <pavel.holejsovsky@gmail.com>
# License: MIT
#

ifneq ($(filter CYGWIN%, $(shell uname -s)),)
EXT = .dll
PFX = cyg
LIBFLAG = -shared
else
EXT = .so
PFX = lib
LIBFLAG = -shared
CCSHARED = -fPIC
endif

PKGS = gio-2.0 cairo cairo-gobject gobject-introspection-1.0 gmodule-2.0 libffi
LUA = lua

COPTFLAGS = -Wall -g
CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS))
LIBS += $(shell pkg-config --libs $(PKGS))
LDFLAGS = $(LIBFLAG)
DEPCHECK = .depcheck

# Precondition check
$(DEPCHECK) : Makefile
	pkg-config --exists '$(PKGS) >= 0.10.8' --print-errors
	touch $@

REGRESS = $(PFX)regress$(EXT)
REGRESS_OBJS = regress.o

.PHONY : all clean check

all : Regress-1.0.typelib

clean :
	rm -f $(REGRESS) $(REGRESS_OBJS) Regress-1.0.gir Regress-1.0.typelib

check : all
	cd .. && LD_LIBRARY_PATH=tests:$$LD_LIBRARY_PATH GI_TYPELIB_PATH=tests:$$GI_TYPELIB_PATH $(LUA) tests/test.lua

$(REGRESS) : regress.o
	$(CC) $(LDFLAGS) -o $@ regress.o $(LIBS)

GIDATADIR = $(shell pkg-config --variable=gidatadir gobject-introspection-1.0)/tests

regress.o : $(GIDATADIR)/regress.c $(GIDATADIR)/regress.h $(DEPCHECK)
	$(CC) $(CFLAGS) -c -o $@ $<

# Build .gir and .typelib
Regress-1.0.gir : $(REGRESS)
	LDFLAGS="" CFLAGS=""						\
	g-ir-scanner --warn-all --no-libtool --quiet --output=$@	\
	  --namespace=Regress --nsversion=1.0				\
	  --include=cairo-1.0 --include=Gio-2.0				\
	  $(GIDATADIR)/regress.c $(GIDATADIR)/regress.h			\
	 -lregress

Regress-1.0.typelib : Regress-1.0.gir
	g-ir-compiler --output=$@ $<

## lua-lgi 0.6.1

=== debian/changelog ===
lua-lgi (0.6.1-1) unstable; urgency=low

  * New upstream bugfix release

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 11 Jun 2012 19:13:37 +0200

lua-lgi (0.6-2) unstable; urgency=low

  * debian/compat set to 9
  * Add -dbg package (closes: #676690) 

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 22 May 2012 19:44:35 +0200

lua-lgi (0.6-1) unstable; urgency=low

  * New upstream release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 10 May 2012 20:56:36 +0200

## lua-lgi 0.6.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # License: MIT
 #
 
-VERSION = 0.6
+VERSION = 0.6.2
 MAKE ?= make
 
 ROCK = lgi-$(VERSION)-1.rockspec

=== tests/Makefile ===
--- 
+++ 
@@ -57,6 +57,8 @@
 	g-ir-scanner --warn-all --no-libtool --quiet --output=$@	\
 	  --namespace=Regress --nsversion=1.0				\
 	  --include=cairo-1.0 --include=Gio-2.0				\
+	  --library-path=/usr/lib --library-path=/usr/X11R6/lib		\
+	  --library-path=/usr/local/lib					\
 	  $(GIDATADIR)/regress.c $(GIDATADIR)/regress.h			\
 	 -lregress

=== debian/changelog ===
lua-lgi (0.6.2-1) unstable; urgency=low

  * New upstream bugfix release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 20 Jun 2012 11:15:44 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: interpreters
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
-Build-Depends: debhelper (>= 8.1.3), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
+Build-Depends: debhelper (>= 9), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
 Standards-Version: 3.9.3
 Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-lgi
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-lgi
@@ -34,3 +34,19 @@
  useful to create a statically linked binary (like a C application or a
  standalone Lua interpreter).
  Documentation is also shipped within this package.
+
+Package: lua-lgi-dbg
+Architecture: any
+Priority: extra
+Section: debug
+Multi-Arch: same
+Pre-Depends: multiarch-support
+Depends: lua-lgi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+XB-Lua-Versions: ${lua:Versions}
+Description: Lua bridge to GObject based libraries
+ LGI is gobject-introspection based dynamic Lua binding to GObject based
+ libraries. It allows using GObject-based libraries directly from Lua.
+ .
+ Notable examples are GTK+, GStreamer and Webkit.
+ .
+ This package contains the debugging symbols for lua-lgi.

=== debian/rules ===
--- 
+++ 
@@ -16,3 +16,5 @@
 override_dh_auto_clean:
 	rm -f lgi/version.lua
 	dh_auto_clean
+override_dh_strip:
+	dh_strip --dbg-package=lua-lgi-dbg

## lua-lgi 0.7.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # License: MIT
 #
 
-VERSION = 0.6.2
+VERSION = 0.7.2
 MAKE ?= make
 
 ROCK = lgi-$(VERSION)-1.rockspec

=== lgi/Makefile ===
#
# Makefile for compiling lgi core module in standard-Lua variant
#
# Author: Pavel Holejsovsky <pavel.holejsovsky@gmail.com>
# License: MIT
#

PREFIX = /usr/local
LUA_VERSION=5.1
LUA_LIBDIR = $(PREFIX)/lib/lua/$(LUA_VERSION)
LUA_SHAREDIR = $(PREFIX)/share/lua/$(LUA_VERSION)

GINAME = gobject-introspection-1.0
PKGS = $(GINAME) gmodule-2.0 libffi
VERSION_FILE = version.lua

ifneq ($(filter CYGWIN%, $(shell uname -s)),)
CORE = corelgilua51.dll
LIBFLAG = -shared
LIBS += -llua
else
ifeq ($(shell uname -s),Darwin)
CORE = corelgilua51.so
LIBFLAG = -bundle -undefined dynamic_lookup
CCSHARED = -fno-common
else
CORE = corelgilua51.so
LIBFLAG = -shared
CCSHARED = -fPIC
endif
endif

OBJS = buffer.o callable.o core.o gi.o marshal.o object.o record.o

ifndef CFLAGS
ifndef COPTFLAGS
CFLAGS = -Wall -Wextra -O2 -g
endif
endif
ALL_CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS)) $(CFLAGS)
LIBS += $(shell pkg-config --libs $(PKGS))
ALL_LDFLAGS = $(LIBFLAG) $(LDFLAGS)
DEPCHECK = .depcheck

# Precondition check
$(DEPCHECK) : Makefile
	pkg-config --exists '$(GINAME) >= 0.10.8' --print-errors
	touch $@

.PHONY : all clean install

all : $(CORE) $(VERSION_FILE)
clean :
	rm -f $(CORE) $(OBJS)

%.o : %.c
	$(CC) $(ALL_CFLAGS) -c -o $@ $<

$(CORE) : $(OBJS)
	$(CC) $(ALL_LDFLAGS) -o $@ $(OBJS) $(LIBS)

$(VERSION_FILE) : Makefile ../Makefile
	echo "return '$(VERSION)'" > $@

buffer.o : buffer.c lgi.h $(DEPCHECK)
callable.o : callable.c lgi.h $(DEPCHECK)
core.o : core.c lgi.h $(DEPCHECK)
gi.o : gi.c lgi.h $(DEPCHECK)
marshal.o : marshal.c lgi.h $(DEPCHECK)
object.o : object.c lgi.h $(DEPCHECK)
record.o : record.c lgi.h $(DEPCHECK)

OVERRIDES = $(wildcard override/*.lua)
CORESOURCES = $(wildcard *.lua)

install : $(CORE) $(VERSION_FILE)
	mkdir -p $(DESTDIR)$(LUA_LIBDIR)/lgi
	cp $(CORE) $(DESTDIR)$(LUA_LIBDIR)/lgi
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)
	cp ../lgi.lua $(DESTDIR)$(LUA_SHAREDIR)
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi
	cp $(CORESOURCES) $(VERSION_FILE) $(DESTDIR)$(LUA_SHAREDIR)/lgi
	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi/override
	cp $(OVERRIDES) $(DESTDIR)$(LUA_SHAREDIR)/lgi/override

=== tests/Makefile ===
--- 
+++ 
@@ -10,19 +10,30 @@
 PFX = cyg
 LIBFLAG = -shared
 else
+ifeq ($(shell uname -s),Darwin)
+EXT = .so
+PFX = lib
+LIBFLAG = -bundle -undefined dynamic_lookup
+CCSHARED = -fno-common
+else
 EXT = .so
 PFX = lib
 LIBFLAG = -shared
 CCSHARED = -fPIC
 endif
+endif
 
 PKGS = gio-2.0 cairo cairo-gobject gobject-introspection-1.0 gmodule-2.0 libffi
 LUA = lua
 
-COPTFLAGS = -Wall -g
-CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS))
+ifndef CFLAGS
+ifndef COPTFLAGS
+CFLAGS = -Wall -g
+endif
+endif
+ALL_CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS)) $(CFLAGS)
 LIBS += $(shell pkg-config --libs $(PKGS))
-LDFLAGS = $(LIBFLAG)
+ALL_LDFLAGS = $(LIBFLAG) $(LDFLAGS)
 DEPCHECK = .depcheck
 
 # Precondition check
@@ -41,15 +52,19 @@
 	rm -f $(REGRESS) $(REGRESS_OBJS) Regress-1.0.gir Regress-1.0.typelib
 
 check : all
-	cd .. && LD_LIBRARY_PATH=tests:$$LD_LIBRARY_PATH GI_TYPELIB_PATH=tests:$$GI_TYPELIB_PATH $(LUA) tests/test.lua
+	cd .. && LD_LIBRARY_PATH=tests:$$LD_LIBRARY_PATH \
+	    GI_TYPELIB_PATH=tests:$$GI_TYPELIB_PATH \
+	    LUA_PATH=./?.lua\;`$(LUA) -e "print(package.path)"` \
+	    LUA_CPATH=./?.so\;`$(LUA) -e "print(package.cpath)"` \
+	    $(LUA) tests/test.lua
 
 $(REGRESS) : regress.o
-	$(CC) $(LDFLAGS) -o $@ regress.o $(LIBS)
+	$(CC) $(ALL_LDFLAGS) -o $@ regress.o $(LIBS)
 
 GIDATADIR = $(shell pkg-config --variable=gidatadir gobject-introspection-1.0)/tests
 
 regress.o : $(GIDATADIR)/regress.c $(GIDATADIR)/regress.h $(DEPCHECK)
-	$(CC) $(CFLAGS) -c -o $@ $<
+	$(CC) $(ALL_CFLAGS) -c -o $@ $<
 
 # Build .gir and .typelib
 Regress-1.0.gir : $(REGRESS)

=== debian/changelog ===
lua-lgi (0.7.2-1) unstable; urgency=low

  * New upstream bugfix release 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 13 Sep 2013 10:05:51 +0200

lua-lgi (0.7.1+gitec3dfe8-1) unstable; urgency=low

  * New upstream snapshot including fixes for Pango related memory leak
    (Closes: #721432)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 12 Sep 2013 13:32:08 +0200

lua-lgi (0.7.1-3) unstable; urgency=low

  * Update watch file 
  * Disable tests on s390x
  * Comment in copyright, MIT/X is named Expat in Debian 

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 16 Aug 2013 11:26:48 +0200

lua-lgi (0.7.1-2) unstable; urgency=low

  * Depend on gir1.2-glib-2.0 (Closes: #710286), thanks Arnaud Fontaine
    for the patch!

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 03 Jun 2013 18:05:44 +0200

lua-lgi (0.7.1-1) unstable; urgency=low

  * New upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Mon, 25 Jun 2012 13:36:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 9), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
 Standards-Version: 3.9.3
-Vcs-Svn: svn://svn.debian.org/pkg-lua/packages/lua-lgi
-Vcs-Browser: http://svn.debian.org/viewsvn/pkg-lua/packages/lua-lgi
+Vcs-Git: git://git.debian.org/git/pkg-lua/lua-lgi.git
+Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-lgi.git
 Homepage: https://github.com/pavouk/lgi/
 
 Package: lua-lgi
@@ -13,7 +13,7 @@
 Multi-Arch: same
 Pre-Depends: multiarch-support
 Provides: ${lua:Provides}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-glib-2.0
 XB-Lua-Versions: ${lua:Versions}
 Description: Lua bridge to GObject based libraries
  LGI is gobject-introspection based dynamic Lua binding to GObject based

=== debian/rules ===
--- 
+++ 
@@ -9,12 +9,15 @@
 	make -C lgi version.lua VERSION=$(VERSION)
 	dh_auto_configure
 override_dh_auto_test:
-	make -C tests all
-	GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test
+	if [ `dpkg-architecture -qDEB_BUILD_ARCH` != s390x ]; then \
+	  make -C tests all; \
+	  GI_TYPELIB_PATH=tests LD_LIBRARY_PATH=tests xvfb-run dh_auto_test; \
+	fi
 override_dh_compress:
 	dh_compress -X.ui -X.md -X.lua
 override_dh_auto_clean:
 	rm -f lgi/version.lua
+	make -C tests clean
 	dh_auto_clean
 override_dh_strip:
 	dh_strip --dbg-package=lua-lgi-dbg

## lua-lgi 0.8.0

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # License: MIT
 #
 
-VERSION = 0.7.2
+VERSION = 0.8.0
 MAKE ?= make
 
 ROCK = lgi-$(VERSION)-1.rockspec

=== debian/changelog ===
lua-lgi (0.8.0-2) unstable; urgency=medium

  * Patch to create, on the fly, an empty config.h.  Works around bug
      https://bugzilla.gnome.org/show_bug.cgi?id=737275 
    and closes: #765103, #765163.

 -- Enrico Tassi <gareuselesinge@debian.org>  Wed, 15 Oct 2014 22:14:29 +0200

lua-lgi (0.8.0-1) unstable; urgency=low

  [ Enrico Tassi ]
  * Add autopkgtest support:
    - run test target as during build
    - run simple test regarding the awesome window manager 

  [ Julian Wollrath ]
  * New upstream release.
  * Bump standards version to 3.9.5 (no changes needed).
  * Update debian/copyright.

 -- Enrico Tassi <gareuselesinge@debian.org>  Tue, 16 Sep 2014 17:46:05 +0200

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,11 @@
 Priority: optional
 Maintainer: Enrico Tassi <gareuselesinge@debian.org>
 Build-Depends: debhelper (>= 9), dh-lua, libgirepository1.0-dev, libcairo2-dev, gir1.2-gtk-3.0, libffi-dev, libglib2.0-dev, xvfb, xauth
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Vcs-Git: git://git.debian.org/git/pkg-lua/lua-lgi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-lua/lua-lgi.git
 Homepage: https://github.com/pavouk/lgi/
+XS-Testsuite: autopkgtest
 
 Package: lua-lgi
 Architecture: any

## lua-lgi 0.9.0.20151101.git.885af4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # License: MIT
 #
 
-VERSION = 0.8.0
+VERSION = 0.9.0
 MAKE ?= make
 
 ROCK = lgi-$(VERSION)-1.rockspec

=== lgi/Makefile ===
--- 
+++ 
@@ -6,23 +6,26 @@
 #
 
 PREFIX = /usr/local
+HOST_OS = $(shell uname -s | tr A-Z a-z)
 LUA_VERSION=5.1
 LUA_LIBDIR = $(PREFIX)/lib/lua/$(LUA_VERSION)
 LUA_SHAREDIR = $(PREFIX)/share/lua/$(LUA_VERSION)
 
+PKG_CONFIG = pkg-config
 GINAME = gobject-introspection-1.0
 PKGS = $(GINAME) gmodule-2.0 libffi
 VERSION_FILE = version.lua
 
-ifneq ($(filter CYGWIN%, $(shell uname -s)),)
+ifneq ($(filter cygwin% msys% mingw%, $(HOST_OS)),)
 CORE = corelgilua51.dll
 LIBFLAG = -shared
 LIBS += -llua
 else
-ifeq ($(shell uname -s),Darwin)
+ifeq ($(HOST_OS),darwin)
 CORE = corelgilua51.so
 LIBFLAG = -bundle -undefined dynamic_lookup
 CCSHARED = -fno-common
+GOBJECT_INTROSPECTION_LIBDIR = $(shell pkg-config --variable=libdir $(GINAME))
 else
 CORE = corelgilua51.so
 LIBFLAG = -shared
@@ -37,14 +40,17 @@
 CFLAGS = -Wall -Wextra -O2 -g
 endif
 endif
-ALL_CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS)) $(CFLAGS)
-LIBS += $(shell pkg-config --libs $(PKGS))
+ifeq ($(HOST_OS),darwin)
+CFLAGS += -DGOBJECT_INTROSPECTION_LIBDIR=\"$(GOBJECT_INTROSPECTION_LIBDIR)\"
+endif
+ALL_CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell $(PKG_CONFIG) --cflags $(PKGS)) $(CFLAGS)
+LIBS += $(shell $(PKG_CONFIG) --libs $(PKGS))
 ALL_LDFLAGS = $(LIBFLAG) $(LDFLAGS)
 DEPCHECK = .depcheck
 
 # Precondition check
 $(DEPCHECK) : Makefile
-	pkg-config --exists '$(GINAME) >= 0.10.8' --print-errors
+	$(PKG_CONFIG) --exists '$(GINAME) >= 0.10.8' --print-errors
 	touch $@
 
 .PHONY : all clean install

=== tests/Makefile ===
--- 
+++ 
@@ -5,12 +5,14 @@
 # License: MIT
 #
 
-ifneq ($(filter CYGWIN%, $(shell uname -s)),)
+HOST_OS = $(shell uname -s | tr A-Z a-z)
+
+ifneq ($(filter cygwin% msys% mingw%, $(HOST_OS)),)
 EXT = .dll
 PFX = cyg
 LIBFLAG = -shared
 else
-ifeq ($(shell uname -s),Darwin)
+ifeq ($(HOST_OS),darwin)
 EXT = .so
 PFX = lib
 LIBFLAG = -bundle -undefined dynamic_lookup
@@ -25,20 +27,21 @@
 
 PKGS = gio-2.0 cairo cairo-gobject gobject-introspection-1.0 gmodule-2.0 libffi
 LUA = lua
+PKG_CONFIG = pkg-config
 
 ifndef CFLAGS
 ifndef COPTFLAGS
 CFLAGS = -Wall -g
 endif
 endif
-ALL_CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell pkg-config --cflags $(PKGS)) $(CFLAGS)
-LIBS += $(shell pkg-config --libs $(PKGS))
+ALL_CFLAGS = $(CCSHARED) $(COPTFLAGS) $(LUA_CFLAGS) $(shell $(PKG_CONFIG) --cflags $(PKGS)) $(CFLAGS) -I .
+LIBS += $(shell $(PKG_CONFIG) --libs $(PKGS))
 ALL_LDFLAGS = $(LIBFLAG) $(LDFLAGS)
 DEPCHECK = .depcheck
 
 # Precondition check
 $(DEPCHECK) : Makefile
-	pkg-config --exists '$(PKGS) >= 0.10.8' --print-errors
+	$(PKG_CONFIG) --exists '$(PKGS) >= 0.10.8' --print-errors
 	touch $@
 
 REGRESS = $(PFX)regress$(EXT)
@@ -61,7 +64,7 @@
 $(REGRESS) : regress.o
 	$(CC) $(ALL_LDFLAGS) -o $@ regress.o $(LIBS)
 
-GIDATADIR = $(shell pkg-config --variable=gidatadir gobject-introspection-1.0)/tests
+GIDATADIR = $(shell $(PKG_CONFIG) --variable=gidatadir gobject-introspection-1.0)/tests
 
 regress.o : $(GIDATADIR)/regress.c $(GIDATADIR)/regress.h $(DEPCHECK)
 	$(CC) $(ALL_CFLAGS) -c -o $@ $<

=== debian/changelog ===
lua-lgi (0.9.0.20151101.git.885af4-1) unstable; urgency=medium

  * Fix FTBFS with recent Pango (Closes: #802090)

 -- Enrico Tassi <gareuselesinge@debian.org>  Thu, 05 Nov 2015 18:19:36 +0100

lua-lgi (0.9.0-1) unstable; urgency=medium

  * remove pre-depend on multiarch-support
  * new upstream release

 -- Enrico Tassi <gareuselesinge@debian.org>  Fri, 14 Aug 2015 21:07:46 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Package: lua-lgi
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Provides: ${lua:Provides}
 Depends: ${shlibs:Depends}, ${misc:Depends}, gir1.2-glib-2.0
 XB-Lua-Versions: ${lua:Versions}
@@ -25,7 +25,7 @@
 Package: lua-lgi-dev
 Architecture: any
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Section: libdevel
 Provides: ${lua:Provides}
 Depends: lua-lgi (= ${binary:Version}), ${misc:Depends}
@@ -41,7 +41,7 @@
 Priority: extra
 Section: debug
 Multi-Arch: same
-Pre-Depends: multiarch-support
+Pre-Depends: ${misc:Pre-Depends}
 Depends: lua-lgi (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 XB-Lua-Versions: ${lua:Versions}
 Description: Lua bridge to GObject based libraries

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,9 @@
 	
 override_dh_auto_configure:
 	make -C lgi version.lua VERSION=$(VERSION)
+	if [ ! -e /usr/share/gobject-introspection-1.0/tests/config.h ]; then\
+		touch config.h;\
+	fi
 	dh_auto_configure
 override_dh_auto_test:
 	if [ `dpkg-architecture -qDEB_BUILD_ARCH` != s390x ]; then \

=== debian/tests/control ===
Tests: dh-lua-tests
Restrictions: rw-build-tree
Depends: @, gir1.2-gtk-3.0, xvfb, xauth, dh-lua

Tests: awesome
Depends: @, xvfb, xauth, dh-lua, awesome, x11-utils

=== debian/watch ===
# test this watch file using:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua-lgi
#
version=3
https://github.com/pavouk/lgi/tags .*/(\d[\d\.]*)\.tar\.gz

## lua-lgi 0.9.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # License: MIT
 #
 
-VERSION = 0.9.0
+VERSION = 0.9.1
 MAKE ?= make
 
 ROCK = lgi-$(VERSION)-1.rockspec

=== lgi/Makefile ===
--- 
+++ 
@@ -85,6 +85,6 @@
 	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)
 	cp ../lgi.lua $(DESTDIR)$(LUA_SHAREDIR)
 	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi
-	cp $(CORESOURCES) $(VERSION_FILE) $(DESTDIR)$(LUA_SHAREDIR)/lgi
+	cp $(CORESOURCES) $(DESTDIR)$(LUA_SHAREDIR)/lgi
 	mkdir -p $(DESTDIR)$(LUA_SHAREDIR)/lgi/override
 	cp $(OVERRIDES) $(DESTDIR)$(LUA_SHAREDIR)/lgi/override

=== debian/changelog ===
lua-lgi (0.9.1-1) unstable; urgency=medium

  * New upstream release (Closes: #823164)

 -- Enrico Tassi <gareuselesinge@debian.org>  Sun, 19 Jun 2016 19:05:11 +0200

## lua-lgi 0.9.2

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # License: MIT
 #
 
-VERSION = 0.9.1
+VERSION = 0.9.2
 MAKE ?= make
 
 ROCK = lgi-$(VERSION)-1.rockspec

=== debian/changelog ===
lua-lgi (0.9.2-6) unstable; urgency=medium

  * Team upload
  * girepository: Apply restructuring (Closes: #1118895)

 -- Bastian Germann <bage@debian.org>  Fri, 31 Oct 2025 18:53:49 +0100

lua-lgi (0.9.2-5) unstable; urgency=medium

  * Team upload
  * Drop lua5.2 support

  [ Reiner Herrmann ]
  * Update project URL

 -- Bastian Germann <bage@debian.org>  Thu, 09 Oct 2025 12:42:56 +0200

lua-lgi (0.9.2-4) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Adapt to new pango bindings. (Closes: #1101238)

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 16 Jul 2025 00:13:19 +0200

lua-lgi (0.9.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Reiner Herrmann ]
  * Update Standards-Version to 4.6.0:
    - Declare that d/rules does not require root
  * Update debhelper compat level to 13:
    - Drop check for nocheck in dh_auto_test override
    - Mark .la files as not being installed
  * Replace obsolete variable ADTTMP with AUTOPKGTEST_TMP in autopkgtest.
  * Fix spelling error.
  * Clean files generated during build and test.
  * Add patch to honour CPPFLAGS.
  * Drop dh_strip override as dbgsym migration is complete.
  * Set Debian Lua Team as maintainer, as Enrico has retired. (Closes: #995540)
  * Update watch file to version 4.
  * Bump copyright year to 2022.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 10 Jan 2022 17:47:02 +0100

lua-lgi (0.9.2-2) unstable; urgency=medium

  * Move packaging VCS to salsa.
  * Bump Standards-Version to 4.1.3.
  * Bump debhelper dependency/compat to 11.
  * debian/copyright:
    - change copyright format URL to https
    - update copyright year
    - add myself
  * Add check for nocheck in override_dh_auto_test target.
  * Unset DBUS_SESSION_BUS_ADDRESS during test run, as it can break the
    tests when build inside chroot and the environment is kept.

 -- Reiner Herrmann <reiner@reiner-h.de>  Wed, 07 Mar 2018 20:25:50 +0100

lua-lgi (0.9.2-1) unstable; urgency=medium

  * New upstream release.
    - drop patch applied upstream
  * Add myself to uploaders.
  * Cherry-pick upstream patch to fix FTBFS on big endian 64bit architectures.
    (Closes: #879956)
    - re-enable tests on s390x
  * Cherry-pick upstream patch to fix FTBFS on hurd-i386. (Closes: #880410)
  * Bump debhelper compatibility to 10.
  * Bump Standards-Version to 4.1.1.
  * Migrate -dbg to -dbgsym package.
  * Change Vcs-* URLs to https.
  * Remove trailing whitespace from changelog.
  * Drop obsolete XS-Testsuite field and add dbus-x11 to build dependencies.
  * Fix autopkgtests.
  * Install README.md.
  * Sort source files to make build reproducible.
  * Enable hardening options.
  * Use DEB_VERSION_UPSTREAM instead of determining version manually.
  * Bump copyright year to 2017.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 04 Nov 2017 23:06:47 +0100

lua-lgi (0.9.1-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Add support for lua 5.3. (Closes: #847111)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 08 Oct 2017 17:38:17 +0200

lua-lgi (0.9.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply upstream patch to workaround GLib API break. (Closes: #870834)

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 29 Sep 2017 15:50:32 +0200

=== debian/control ===
Source: lua-lgi
Section: interpreters
Priority: optional
Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
Uploaders: Reiner Herrmann <reiner@reiner-h.de>
Build-Depends: dbus-x11,
               debhelper-compat (= 13),
               dh-lua,
               gir1.2-freedesktop-dev,
               gir1.2-gtk-3.0,
               libcairo2-dev,
               libffi-dev,
               libgirepository-1.0-dev,
               libglib2.0-dev,
               xauth,
               xvfb
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/lua-team/lua-lgi.git
Vcs-Browser: https://salsa.debian.org/lua-team/lua-lgi
Homepage: https://github.com/lgi-devs/lgi
Rules-Requires-Root: no

Package: lua-lgi
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Provides: ${lua:Provides}
Depends: gir1.2-glib-2.0,
         ${misc:Depends},
         ${shlibs:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: Lua bridge to GObject based libraries
 LGI is gobject-introspection based dynamic Lua binding to GObject based
 libraries. It allows using GObject-based libraries directly from Lua.
 .
 Notable examples are GTK+, GStreamer and Webkit.

Package: lua-lgi-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Section: libdevel
Provides: ${lua:Provides}
Depends: lua-lgi (= ${binary:Version}),
         ${misc:Depends}
XB-Lua-Versions: ${lua:Versions}
Description: lgi development files for the Lua language
 This package contains the development files of the Lua lgi library,
 useful to create a statically linked binary (like a C application or a
 standalone Lua interpreter).
 Documentation is also shipped within this package.

=== debian/tests/control ===
Test-Command: debian/rules autopkgtest
Restrictions: rw-build-tree, allow-stderr
Depends: @, @builddeps@

Tests: awesome
Restrictions: allow-stderr
Depends: @, xvfb, xauth, awesome, dbus-x11

=== debian/watch ===
version=4
https://github.com/lgi-devs/lgi/tags .*/@ANY_VERSION@@ARCHIVE_EXT@
